Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(248)

Issue 1919283008: Remove unneeded CPVT classes. (Closed)

Created:
4 years, 4 months ago by Lei Zhang
Modified:
4 years, 4 months ago
Reviewers:
dsinclair
CC:
pdfium-reviews_googlegroups.com
Base URL:
https://pdfium.googlesource.com/pdfium@master
Target Ref:
refs/heads/master
Project:
pdfium
Visibility:
Public.

Description

Remove unneeded CPVT classes. - CPVT_Size is the same as CFX_PointF - CPVT_FloatRange is unused. - CPVT_ArrayTemplate is just a wrapper for CFX_ArrayTemplate. Committed: https://pdfium.googlesource.com/pdfium/+/a354eb517429e10d84abff65e455f0c183fe58e0

Patch Set 1 : #

Patch Set 2 : rebase #

Patch Set 3 : remove some nested ifs #

Patch Set 4 : remove some nested ifs, fix out of bound access #

Patch Set 5 : fix out of bound access, fix silliness #

Patch Set 6 : more cleanup #

Patch Set 7 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+260 lines, -409 lines) Patch
M BUILD.gn View 1 2 3 4 5 6 2 chunks +1 line, -1 line 0 comments Download
M core/fpdfdoc/cpdf_variabletext.cpp View 1 2 3 6 chunks +41 lines, -37 lines 0 comments Download
M core/fpdfdoc/cpvt_generateap.cpp View 1 chunk +1 line, -1 line 0 comments Download
M core/fpdfdoc/csection.h View 3 chunks +4 lines, -3 lines 0 comments Download
M core/fpdfdoc/ctypeset.h View 1 2 3 4 5 1 chunk +5 lines, -2 lines 0 comments Download
A + core/fpdfdoc/doc_vt.h View 4 chunks +18 lines, -64 lines 0 comments Download
M core/fpdfdoc/doc_vt.cpp View 1 2 3 4 5 6 7 chunks +185 lines, -147 lines 0 comments Download
M core/fpdfdoc/include/cpdf_variabletext.h View 1 2 3 chunks +4 lines, -4 lines 0 comments Download
D core/fpdfdoc/pdf_vt.h View 1 chunk +0 lines, -149 lines 0 comments Download
M pdfium.gyp View 2 chunks +1 line, -1 line 0 comments Download

Messages

Total messages: 18 (7 generated)
Lei Zhang
4 years, 4 months ago (2016-04-29 01:51:23 UTC) #3
dsinclair
On 2016/04/29 01:51:23, Lei Zhang wrote: # # Fatal error in e:\b\build\slave\pdfium\build\pdfium\v8\src\v8.cc, line 95 # ...
4 years, 4 months ago (2016-04-29 02:45:18 UTC) #4
dsinclair
The code change lgtm if you can figure out why the bots are unhappy.
4 years, 4 months ago (2016-04-29 02:53:29 UTC) #5
Lei Zhang
On 2016/04/29 02:53:29, dsinclair wrote: > The code change lgtm if you can figure out ...
4 years, 4 months ago (2016-04-29 20:21:45 UTC) #6
dsinclair
lgtm
4 years, 4 months ago (2016-05-02 14:41:44 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1919283008/120001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1919283008/120001
4 years, 4 months ago (2016-05-02 14:41:49 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: win on master.tryserver.client.pdfium (JOB_FAILED, https://build.chromium.org/p/tryserver.client.pdfium/builders/win/builds/466)
4 years, 4 months ago (2016-05-02 14:43:19 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1919283008/140001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1919283008/140001
4 years, 4 months ago (2016-05-02 19:25:32 UTC) #14
commit-bot: I haz the power
Committed patchset #7 (id:140001) as https://pdfium.googlesource.com/pdfium/+/a354eb517429e10d84abff65e455f0c183fe58e0
4 years, 4 months ago (2016-05-02 19:40:44 UTC) #16
dsinclair
A revert of this CL (patchset #7 id:140001) has been created in https://codereview.chromium.org/1947093002/ by dsinclair@chromium.org. ...
4 years, 4 months ago (2016-05-04 14:39:57 UTC) #17
Lei Zhang
4 years, 4 months ago (2016-05-10 01:56:28 UTC) #18
Message was sent while issue was closed.
Next try: https://codereview.chromium.org/1959253002

Powered by Google App Engine
This is Rietveld 408576698